# Class Receiver

java.lang.Object
org.apache.jmeter.protocol.jms.sampler.Receiver

All Implemented Interfaces:
  `Runnable`

public final class Receiver extends Object implements Runnable
Receiver of pseudo-synchronous reply messages.

## Method Summary

Modifier and Type
Method
Description
`static Receiver`
`createReceiver(ConnectionFactory factory, Destination receiveQueue, String principal, String credentials, boolean useResMsgIdAsCorrelId, String jmsSelector)`
Create a receiver to process responses.
`void`
`deactivate()`
`void`
`run()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createReceiver

public static Receiver createReceiver(ConnectionFactory factory, Destination receiveQueue, String principal, String credentials, boolean useResMsgIdAsCorrelId, String jmsSelector) throws JMSException
Create a receiver to process responses.

Parameters:
  `factory` - connection factory to use
  `receiveQueue` - name of the receiving queue
  `principal` - user name to use for connecting to the queue
  `credentials` - credentials to use for connecting to the queue
  `useResMsgIdAsCorrelId` - `true` if should use JMSMessageId, `false` if should use JMSCorrelationId
  `jmsSelector` - JMS selector
Returns:
  the Receiver which will process the responses

### run

public void run()

Specified by:
  `run` in interface `Runnable`

### deactivate

public void deactivate()